Retrieves a single board by ID.
curl --request GET \
--url https://{install}/api/board/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/board/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/board/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/board/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"container": [
"<string>"
],
"resource": [
"<string>"
],
"budgetHours": 123,
"budgetChange": [
{
"id": "<string>",
"reasonId": "<string>",
"userId": "<string>",
"initials": "<string>",
"dated": "2023-11-07T05:31:56Z",
"changeDelta": 123
}
],
"locked": true,
"archived": true,
"role": [
{
"role": 123,
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}Boards
Retrieves a single board by ID.
GET
/
api
/
board
/
{id}
Retrieves a single board by ID.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The board ID.
Response
The requested board.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I